${FIREFOX}: ${SQLITE}
-${PROCMAIL}: ${SENDMAIL}
-${FETCHMAIL}: ${OPENSSL} ${PROCMAIL}
-
${FUSE}: ${UDEV}
${JASPER}: ${LIBJPEG} ${XORG} ${MESALIB}
${LTSP}: ${PERL_MOD_LWP}
${PERL_MOD_LWP}: ${PERL_MOD_URI}
+
+# Circular dependency SASL2 - OPENLDAP (KERBEROS5)
+${SASL2}: ${OPENLDAP} ${OPENSSL} ${PAM} ${KERBEROS5}
+${OPENLDAP}: ${GDBM} ${SASL2} ${OPENSSL} ${TCPWRAPPERS}
+${KERBEROS5}: ${PAM} ${OPENLDAP}
+
+${PROCMAIL}:
+${FETCHMAIL}: ${OPENSSL} ${PROCMAIL}
+${SENDMAIL}: ${KERBEROS5}
+
+# MTA = ${SENDMAIL} or ${SSMTP}
+${GNUPG}: ${OPENLDAP} ${LIBUSB_COMPAT} ${MTA}
+${MUTT}: ${GNUPG} ${OPENSSL} ${MTA} ${KERBEROS5} ${SASL2}
GOBJECT_INSTROSPECTION="gobject-introspection-0.6.14"
GOFFICE="goffice-0.2.2"
GNUMERIC="gnumeric-1.6.3"
-GNUPG="gnupg-1.4.9"
+GNUPG="gnupg-1.4.11"
GREP="grep-2.6.3"
GRIP="grip-3.3.1"
GROFF="groff-1.20.1"
JASPER="jasper-1.900.1"
KBD="kbd-1.15.2"
-KERBEROS5="krb5-1.4.1"
+KERBEROS5="krb5-1.6"
KERNEL="linux-2.6.37.3"
NOUVEAU_NVIDIA_KERNEL="linux-2.6.38-rc7-g3d3d123-nouveau-git"
KVM="kvm-84"
MODULE_INIT_TOOLS="module-init-tools-3.12"
MPC="mpc-0.8.2"
MPFR="mpfr-3.0.0"
-MUTT="mutt-1.5.20"
+MUTT="mutt-1.5.21"
MYSQL="mysql-5.1.52"
NANO="nano-2.2.6"
NSS="nss-3.12-with-nspr-4.7"
OPENJADE="openjade-1.3.2"
-OPENLDAP="openldap-2.3.38"
+OPENLDAP="openldap-2.4.23"
OPENSP="OpenSP-1.5.2"
OPENSSH="openssh-5.8p1"
OPENSSL="openssl-1.0.0b"
SAMBA="samba-3.0.21c"
SANE_BACKENDS="sane-backends-1.0.22"
XSANE="xsane-0.996"
-SASL2="cyrus-sasl-2.1.21"
+SASL2="cyrus-sasl-2.1.23"
SED="sed-4.2.1"
-SENDMAIL="sendmail-8.13.6"
+SENDMAIL="sendmail-8.14.4"
SENDMAIL_GID="bin"
SGML_COMMON="sgml-common-0.6.3"
SGML_DTD3_VER="3.1"
SPLIX="splix-2.0.0"
SQLITE="sqlite-3.6.22"
SQUIRRELMAIL="squirrelmail-1.5.1"
+SSMTP="ssmtp-2.64"
STARTUP_NOTIFICATION="startup-notification-0.9"
STRACE="strace-4.5.20"
SUBVERSION="subversion-1.6.6"
--- /dev/null
+#!/bin/sh
+
+# openldap
+
+# Source functions library
+source /etc/rc.d/init.d/functions
+
+log_script_name "$0 $*"
+
+piddir=/srv/ldap/run
+
+case "$1" in
+ start)
+ cmd_run_log_box_warn "Starting LDAP Server" loadproc slapd
+ ;;
+
+ stop)
+ cmd_run_log_box_warn "Stopping LDAP Server" killproc_path slapd ${piddir}
+ ;;
+
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+
+ status)
+ statusproc_path slapd ${piddir}
+ ;;
+
+ *)
+ echo "Usage: $0 {start|stop|restart|status}"
+ exit ${EXIT_CODE_FAILURE}
+ ;;
+esac
+
+exit $?
--- /dev/null
+#!/bin/sh
+
+# saslauthd
+
+# Source functions library
+source /etc/rc.d/init.d/functions
+
+log_script_name "$0 $*"
+
+case "$1" in
+ start)
+ cmd_run_log_box_warn "SASL daemon start" loadproc /usr/sbin/saslauthd -a shadow
+ ;;
+
+ stop)
+ cmd_run_log_box_warn "SASL daemon stop" killproc saslauthd
+ ;;
+
+ status)
+ statusproc saslauthd
+ ;;
+
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+
+ *)
+ echo "Usage: $0 {restart|start|status|stop}"
+ exit ${EXIT_CODE_FAILURE}
+ ;;
+esac
+
+exit $?
--- /dev/null
+#!/bin/sh
+
+# sendmail
+
+# Source functions library
+source /etc/rc.d/init.d/functions
+
+log_script_name "$0 $*"
+
+case "$1" in
+ start)
+ cmd_run_log_box_warn "sendmail start" loadproc /usr/sbin/sendmail -bs -bd -q5m start
+ ;;
+
+ stop)
+ cmd_run_log_box_warn "sendmail stop" killproc sendmail
+ ;;
+
+ reload)
+ cmd_run_log_box_warn reloadproc sendmail
+ ;;
+
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+
+ status)
+ statusproc sendmail
+ ;;
+
+ *)
+ echo "Usage: $0 {start|stop|reload|restart|status}"
+ exit ${EXIT_CODE_FAILURE}
+ ;;
+esac
+
+exit $?
ipkg ${FREETYPE}
ipkg ${FONTCONFIG}
+ipkg -m noac ${CKERMIT}
+
+ipkg ${LIBTASN1}
+ipkg ${GUILE} \
+ --enable-posix \
+ --disable-static \
+ --enable-networking \
+ --enable-regex
+ipkg ${LIBGPG_ERROR}
+ipkg ${LIBGCRYPT}
+ipkg -m acnb ${GNUTLS}
+
+# Mail
+ipkg -l "${SASL2}-pass1" -s "cyrus-sasl" ${SASL2}
+ipkg ${OPENLDAP}
+ipkg -l "${SASL2}-pass2" -s "cyrus-sasl" ${SASL2}
+ipkg -s "krb5" ${KERBEROS5}
+
+if [ "x${INST_TYPE}" = "xserver" -o "x${INST_TYPE}" = "xltsp-server" ]; then
+ ipkg -m noac ${SENDMAIL}
+else
+ ipkg -m acnb ${SSMTP}
+fi
+
+ipkg ${GNUPG} "--libexecdir=/usr/lib"
+ipkg ${MUTT} "--enable-imap --with-ssl --with-sasl"
+
write_completed_stage
display_stage_build_stats
fpkg -m sf ${FREETYPE}
fpkg -e "tar.gz" ${FONTCONFIG} "http://fontconfig.org/release"
+# Using HV-repackaged version, because Ckermit decompresses all of its files in
+# the current directory.
+fpkg -m hv ${CKERMIT}
+
+fpkg -m gnu ${LIBTASN1}
+fpkg -m gnu ${GUILE}
+fpkg -s "libgpg-error" ${LIBGPG_ERROR} ${GNUPG_URL}
+fpkg -s "libgcrypt" ${LIBGCRYPT} ${GNUPG_URL}
+fpkg -s "gnutls" ${GNUTLS} ${GNUPG_URL}
+
+fpkg -e "tar.gz" ${SASL2} "ftp://ftp.andrew.cmu.edu/pub/cyrus-mail"
+fpkg -e "tgz" ${OPENLDAP} \
+ "ftp://ftp.openldap.org/pub/OpenLDAP/openldap-release"
+fpkg -m hv ${KERBEROS5}
+
+if [ "x${INST_TYPE}" = "xserver" -o "x${INST_TYPE}" = "xltsp-server" ]; then
+ fpkg -e "tar.gz" -f "sendmail.$(get_pkg_ver ${SENDMAIL})" ${SENDMAIL} \
+ "ftp://ftp.sendmail.org/pub/sendmail"
+else
+ fpkg -m hv ${SSMTP}
+fi
+
+fpkg -s "gnupg" ${GNUPG} "ftp://ftp.gnupg.org/gcrypt"
+fpkg -m sf ${MUTT}
+
exit $?
--- /dev/null
+#!/bin/bash
+
+hvbuild()
+{
+ cd ${LFS_TMP}/${PACKAGE}
+ make linux
+ make prefix=/usr install
+}
+
+hvbuild_post()
+{
+ cat > /etc/skel/.kermrc << "EOF"
+set line /dev/ttyUSB0
+set speed 115200
+set carrier-watch off
+set handshake none
+set flow-control none
+robust
+set file type bin
+set file name lit
+set rec pack 1000
+set send pack 1000
+set window 5
+xecho \27[32m\27[40m
+EOF
+}
--- /dev/null
+#!/bin/bash
+
+hvconfig_pre()
+{
+ sed -i 's/#elif WITH_DES/#elif defined(WITH_DES)/' \
+ ${LFS_TMP}/${PACKAGE}/plugins/digestmd5.c
+
+ CONFIGURE_OPTS=" \
+ ${CONFIGURE_OPTS} \
+ --with-dbpath=/var/lib/sasl/sasldb2 \
+ --with-saslauthd=/var/run/saslauthd \
+ --with-dblib=gdbm"
+
+ if [ "x${HVLABEL}" = "x${PACKAGE}-pass2" ]; then
+ CONFIGURE_OPTS=" \
+ ${CONFIGURE_OPTS} \
+ --with-ldap \
+ --enable-ldapdb"
+ fi
+}
+
+hvbuild_post()
+{
+ if [ "x${HVLABEL}" = "x${PACKAGE}-pass1" ]; then
+ cd ${LFS_TMP}/${PACKAGE}
+
+ install -v -m700 -d /var/lib/sasl
+ install -v -m711 -d /var/run/saslauthd
+
+ # Bootscript
+ install -v -m740 ${SCRDIR}/bootscripts/saslauthd /etc/rc.d/init.d
+
+ # Is it necessary to run the saslauthd server?
+ #bootscript_add_rc3 saslauthd 50 40
+ fi
+}
--- /dev/null
+#!/bin/bash
+
+hvconfig_pre()
+{
+ CONFIGURE_OPTS="\
+ ${CONFIGURE_OPTS} \
+ --localstatedir=/var/lib \
+ --mandir=/usr/share/man \
+ --with-system-et \
+ --with-system-ss \
+ --enable-dns-for-realm"
+}
+
+hvconfig()
+{
+ cd ${LFS_TMP}/${PACKAGE}/src
+ ./configure CPPFLAGS="-I/usr/include/et -I/usr/include/ss -DEAI_NODATA=EAI_NONAME" \
+ ${CONFIGURE_OPTS}
+}
+
+hvbuild_post()
+{
+ mv -v /usr/bin/ksu /bin
+ chmod -v 755 /bin/ksu
+
+ mv -v /usr/lib/libkrb5.so.3* /lib
+ mv -v /usr/lib/libk5crypto.so.3* /lib
+ mv -v /usr/lib/libkrb5support.so.0* /lib
+
+ ln -svfT ../../lib/libkrb5.so.3.3 /usr/lib/libkrb5.so
+ ln -svfT ../../lib/libk5crypto.so.3.1 /usr/lib/libk5crypto.so
+ ln -svfT ../../lib/libkrb5support.so.0.1 /usr/lib/libkrb5support.so
+
+ if [ ! -f /bin/login.shadow ]; then
+ mv -v /bin/login /bin/login.shadow
+ fi
+ install -m755 -v /usr/sbin/login.krb5 /bin/login
+
+ mv -v /usr/lib/libdes425.so.3* /lib
+ mv -v /usr/lib/libkrb4.so.2* /lib
+
+ ln -svfT ../../lib/libdes425.so.3.0 /usr/lib/libdes425.so
+ ln -svfT ../../lib/libkrb4.so.2.0 /usr/lib/libkrb4.so
+
+ cat > /etc/krb5.conf << EOF
+[libdefaults]
+ default_realm = <LFS.ORG>
+ encrypt = true
+
+[realms]
+ <LFS.ORG> = {
+ kdc = <belgarath.lfs.org>
+ admin_server = <belgarath.lfs.org>
+ }
+
+[domain_realm]
+ .<lfs.org> = <LFS.ORG>
+
+[logging]
+ kdc = SYSLOG[:INFO[:AUTH]]
+ admin_server = SYSLOG[INFO[:AUTH]]
+ default = SYSLOG[[:SYS]]
+EOF
+}
--- /dev/null
+#!/bin/bash
+
+hvconfig_pre()
+{
+ # --enable-spasswd: for SASL2 plugin
+ # --disable-bdb --disable-hdb --with-ldbm-api=gdbm: To use GBDM
+ # --disable-sql --disable-ndb: If MySQL is NOT installed
+ CONFIGURE_OPTS=" \
+ ${CONFIGURE_OPTS} \
+ --libexecdir=/usr/sbin \
+ --localstatedir=/srv/ldap \
+ --disable-debug \
+ --enable-dynamic \
+ --enable-crypt \
+ --enable-modules \
+ --enable-rlookups \
+ --enable-backends \
+ --enable-overlays \
+ --disable-sql \
+ --disable-ndb \
+ --enable-spasswd \
+ --disable-bdb \
+ --disable-hdb \
+ --with-ldbm-api=gdbm"
+}
+
+hvconfig_post()
+{
+ make depend
+}
+
+hvbuild_post()
+{
+ for LINK in lber ldap ldap_r; do
+ chmod -v 0755 /usr/lib/$(readlink /usr/lib/lib${LINK}.so)
+ done
+
+ # To utilize GDBM as the database backend:
+ sed -e "s!\(database\s*\)bdb!\1gdbm!" -i /etc/openldap/slapd.conf
+
+ # Bootscript
+ install -v -m740 ${SCRDIR}/bootscripts/openldap /etc/rc.d/init.d
+
+ if [ "x${INST_TYPE}" = "xserver" -o "x${INST_TYPE}" = "xltsp-server" ]; then
+ # Activate bootscript
+ bootscript_add_rc3 openldap 60 30
+ fi
+}
--- /dev/null
+#!/bin/bash
+
+hvbuild()
+{
+ groupadd -f smmsp
+ groupadd -f mail
+ hv_useradd -g smmsp -G mail smmsp
+ chmod 1777 /var/mail
+ mkdir -p /var/spool/mqueue
+ mkdir -p /etc/mail
+
+ cd ${LFS_TMP}/${PACKAGE}
+ cat > devtools/Site/site.config.m4 << "EOF"
+define(`confMANGRP',`root')
+define(`confMANOWN',`root')
+define(`confSBINGRP',`root')
+define(`confUBINGRP',`root')
+define(`confUBINOWN',`root')
+EOF
+
+ if [ "x${INST_TYPE}" = "xserver" -o "x${INST_TYPE}" = "xltsp-server" ]; then
+ # Adding support for SASL2 and MILTER
+ cat >> devtools/Site/site.config.m4 << "EOF"
+APPENDDEF(`conf_sendmail_ENVDEF', `-DSASL=2')
+APPENDDEF(`conf_sendmail_LIBS', `-lsasl2')
+APPENDDEF(`conf_sendmail_ENVDEF', `-DMILTER')
+EOF
+
+ # Configuration file for SASL2
+ echo "pwcheck_method: saslauthd" /usr/lib/sasl2/Sendmail.conf
+ fi
+
+ cd sendmail
+ sh Build
+ cd ../
+
+ if [ "x${INST_TYPE}" = "xserver" -o "x${INST_TYPE}" = "xltsp-server" ]; then
+ cd libmilter
+ sh Build install
+ cd ../
+ fi
+
+ cd cf/cf
+ cp generic-linux.mc sendmail.mc
+ sh Build sendmail.mc
+ sh Build install-cf
+ cd ../../
+ sh Build install
+
+ if [ "x${INST_TYPE}" = "xserver" -o "x${INST_TYPE}" = "xltsp-server" ]; then
+ # Configuration Information
+ cat > /etc/mail/sendmail.mc << "EOF"
+dnl
+include(`./m4/cf.m4')
+VERSIONID(`sendmail.mc Hugo Villeneuve 2003/10/06')
+OSTYPE(linux)
+DOMAIN(generic)
+dnl
+dnl ---------- Procmail settings ----------
+define(`PROCMAIL_MAILER_ARGS', procmail -a $h -d $u)dnl
+define(`PROCMAIL_MAILER_PATH',`/usr/bin/procmail')
+dnl
+dnl ---------- Log messages level ----------
+define(`confLOG_LEVEL', `14')
+dnl
+dnl ---------- confPRIVACY_FLAGS ----------
+dnl "vrfy": (verify) pour verifier l'existence d'une adresse sur le serveur.
+dnl "expn": (expand) qui est identique a "vrfy" mais qui permet aussi de lister
+dnl les personnes d'une liste et autres alias.
+dnl "noreceipts": To disable sending DSN receipts.
+dnl "goaway": Disable all SMTP status queries.
+dnl "authwarnings": Adds x-authentication-warning.
+dnl "restrictmailq": mqueue group can see queue.
+ dnl "restrictqrun": mqueue owner to run queue.
+ dnl "nobodyreturn": Does not return mail body
+ define(`confPRIVACY_FLAGS', `goaway authwarnings restrictmailq restrictqrun nobodyreturn novrfy noexpn noreceipts')
+dnl
+dnl ---------- Maximum message size (in bytes) ----------
+ define(`confMAX_MESSAGE_SIZE',10000000)
+ dnl
+ define(`confMAX_DAEMON_CHILDREN',`30')
+ define(`confCONNECTION_RATE_THROTTLE',`10')
+ define(`confMAX_RCPTS_PER_MESSAGE',`50')
+ dnl
+ dnl ---------- MILTER support ----------
+ define(`confINPUT_MAIL_FILTERS',`clmilter')
+ dnl
+ dnl ---------- SMTP Authorization options ----------
+ define(`confAUTH_OPTIONS', `A')
+ define(`confAUTH_MECHANISMS', `LOGIN PLAIN')
+ TRUST_AUTH_MECH(`LOGIN PLAIN')
+ dnl
+ dnl ---------- Don't send the version number of sendmail ----------
+ define(`confSMTP_LOGIN_MSG',`_HOSTNAME_')
+ MASQUERADE_AS(_DOMAIN_)
+ dnl Uncomment the following line to use a non-standard port
+ dnl DAEMON_OPTIONS(`Port=_ALTERNATE_PORT_NUMBER_,Name=MTA')
+ dnl
+ dnl This is necessary for the local Sendmail to work, when using
+ dnl an alternate port number:
+ DAEMON_OPTIONS('Port=25','Name=MTA')
+ dnl
+ FEATURE(nouucp, nospecial)
+ FEATURE(use_cw_file)
+ FEATURE(`access_db', `hash -T<TMPF> /etc/mail/access')
+ FEATURE(virtusertable, `hash -o /etc/mail/virtusertable')
+ FEATURE(`local_procmail')
+ FEATURE(`mailertable')
+ MAILER(procmail)
+ INPUT_MAIL_FILTER(`clmilter',`S=local:/var/clamav/clmilter.sock, F=, T=S:4m;R:4m')dnl
+ dnl INPUT_MAIL_FILTER(`smf-spf', `S=local:/var/run/smfs/smf-spf.sock, T=S:30s;R:1m')
+ dnl INPUT_MAIL_FILTER(`greylist',`S=local:/var/run/milter-greylist/milter-greylist.sock')
+ MAILER(smtp)
+ EOF
+
+sed -i -e "s!_HOSTNAME_!${MACHINE_NAME}\.${DOMAIN}!g" /etc/mail/sendmail.mc
+sed -i -e "s!_DOMAIN_!${DOMAIN}!g" /etc/mail/sendmail.mc
+
+if [ -n "${SENDMAIL_INCOMING_PORT}" ]; then
+ # Uncommenting the alternate port line
+ sed -i -e "s!\(dnl \)\(.*_ALTERNATE_PORT_NUMBER_.*\)!\2!g" /etc/mail/sendmail.mc
+ # Replacing the port number
+ sed -i -e "s!_ALTERNATE_PORT_NUMBER_!${SENDMAIL_INCOMING_PORT}!g" /etc/mail/sendmail.mc
+fi
+
+ # We must put the domain name, and not the hostname in local-host-names
+echo "${DOMAIN}" > /etc/mail/local-host-names
+
+if [ -n "${MAIL_ADMIN}" ]; then
+ echo "postmaster: ${MAIL_ADMIN}" > /etc/mail/aliases
+else
+ exit 1
+fi
+cat >> /etc/mail/aliases << "EOF"
+mailer-daemon: postmaster
+abuse: postmaster
+root: postmaster
+EOF
+
+ cat > /etc/mail/access << "EOF"
+# This is absolutely needed for each 192.168.0.x computer to send mail...
+Connect:192.168.0 RELAY
+EOF
+
+ cd /etc/mail
+ cp -R ${LFS_TMP}/${PACKAGE}/cf/* .
+
+ cat > /etc/mail/submit.mc << "EOF"
+dnl
+include(`./m4/cf.m4')dnl
+ dnl
+ EOF
+ cat ${LFS_TMP}/${PACKAGE}/cf/cf/submit.mc >> /etc/mail/submit.mc
+ sed -i "s!\(^FEATURE.*\)127.0.0.1\(.*\)!\1${MACHINE_NAME}\.${DOMAIN}\2!" /etc/mail/submit.mc
+ newaliases -v
+
+ cat > /etc/mail/virtusertable << "EOF"
+# MAKE SURE ALL ENTRIES ARE SEPARATED WITH <TAB>
+#
+EOF
+
+ if [ -n "${SENDMAIL_ALT_MAILER}" ]; then
+ echo ". ${SENDMAIL_ALT_MAILER}" > /etc/mail/mailertable
+ else
+ echo "# Define alternate mailer in this file" \
+ > /etc/mail/mailertable
+ fi
+
+ cat > /etc/mail/configure << "EOF"
+#!/bin/bash
+
+PID_FILE="/var/run/sendmail.pid"
+
+cd /etc/mail
+
+m4 sendmail.mc > sendmail.cf
+m4 submit.mc > submit.cf
+newaliases
+makemap hash access.db < access
+makemap hash virtusertable < virtusertable
+makemap hash mailertable.db < mailertable || exit 1
+
+# Restarting sendmail
+if [ -f ${PID_FILE} ]; then
+ kill -HUP `head -1 /var/run/sendmail.pid` || exit 1
+else
+ /etc/rc.d/init.d/sendmail start || exit 1
+fi
+
+exit $?
+EOF
+ chmod 740 /etc/mail/configure
+
+ # Bootscript
+ install -v -m740 ${SCRDIR}/bootscripts/sendmail /etc/rc.d/init.d
+
+ # script-name start stop
+ bootscript_add_rc3 sendmail 65 25
+
+ cat > /usr/local/bin/mail-if-fail << "EOF"
+#!/bin/bash
+
+# This script is used to run a command. If the command failed,
+# an email is sent to the address specified by MAILTO.
+
+# Begin of user modifiable variables
+MAILFROM="${USER}@_DOMAIN_"
+MAILTO="root@_DOMAIN_"
+# End of User modifiable variables
+
+SENDMAIL="/usr/sbin/sendmail -t -r ${MAILFROM}"
+MAILFILE="/tmp/mail-if-fail-output$$"
+LOGFILE="/tmp/mail-if-fail-log$$"
+
+# Running the specified command
+${*} 1> ${LOGFILE} 2>&1
+
+ERROR_CODE=${?}
+
+if [ ${ERROR_CODE} -ne "0" ]; then
+ echo "From: ${MAILFROM}" > ${MAILFILE}
+ echo "To: ${MAILTO}" >> ${MAILFILE}
+ echo "Subject: \"${1}\" FAILED (${ERROR_CODE})" >> ${MAILFILE}
+ echo "Content-type: text/plain" >> ${MAILFILE}
+ echo "Output of command ${*}:" >> ${MAILFILE}
+ echo >> ${MAILFILE}
+ cat ${LOGFILE} >> ${MAILFILE}
+ cat ${MAILFILE} | ${SENDMAIL} || exit 1
+ rm -f ${MAILFILE}
+fi
+
+rm -f ${LOGFILE}
+
+exit ${ERROR_CODE}
+EOF
+
+ sed -i -e "s!_DOMAIN_!${DOMAIN}!g" /usr/local/bin/mail-if-fail
+ chmod 755 /usr/local/bin/mail-if-fail
+
+ cp ${SCRDIR}/misc/mail-files.sh /usr/local/bin
+ chmod 755 /usr/local/bin/mail-files.sh
+
+ # Executing configure script.
+ /etc/mail/configure
+ fi
+}
--- /dev/null
+#!/bin/bash
+
+hvconfig_pre()
+{
+ sed -e "s!read\ mailname!mailname=${DOMAIN}!" -i ${LFS_TMP}/${PACKAGE}/generate_config
+ sed -e "s!read\ smtpport!smtpport=25!" -i ${LFS_TMP}/${PACKAGE}/generate_config
+}
+++ /dev/null
-#!/bin/sh
-
-# openldap
-
-# Source functions library
-source /etc/rc.d/init.d/functions
-
-log_script_name "$0 $*"
-
-piddir=/srv/ldap/run
-
-case "$1" in
- start)
- cmd_run_log_box_warn "Starting LDAP Server" loadproc slapd
- ;;
-
- stop)
- cmd_run_log_box_warn "Stopping LDAP Server" killproc_path slapd ${piddir}
- ;;
-
- restart)
- $0 stop
- sleep 1
- $0 start
- ;;
-
- status)
- statusproc_path slapd ${piddir}
- ;;
-
- *)
- echo "Usage: $0 {start|stop|restart|status}"
- exit ${EXIT_CODE_FAILURE}
- ;;
-esac
-
-exit $?
+++ /dev/null
-#!/bin/sh
-
-# saslauthd
-
-# Source functions library
-source /etc/rc.d/init.d/functions
-
-log_script_name "$0 $*"
-
-case "$1" in
- start)
- cmd_run_log_box_warn "SASL daemon start" loadproc /usr/sbin/saslauthd -a shadow
- ;;
-
- stop)
- cmd_run_log_box_warn "SASL daemon stop" killproc saslauthd
- ;;
-
- status)
- statusproc saslauthd
- ;;
-
- restart)
- $0 stop
- sleep 1
- $0 start
- ;;
-
- *)
- echo "Usage: $0 {restart|start|status|stop}"
- exit ${EXIT_CODE_FAILURE}
- ;;
-esac
-
-exit $?
+++ /dev/null
-#!/bin/sh
-
-# sendmail
-
-# Source functions library
-source /etc/rc.d/init.d/functions
-
-log_script_name "$0 $*"
-
-case "$1" in
- start)
- cmd_run_log_box_warn "sendmail start" loadproc /usr/sbin/sendmail -bs -bd -q5m start
- ;;
-
- stop)
- cmd_run_log_box_warn "sendmail stop" killproc sendmail
- ;;
-
- reload)
- cmd_run_log_box_warn reloadproc sendmail
- ;;
-
- restart)
- $0 stop
- sleep 1
- $0 start
- ;;
-
- status)
- statusproc sendmail
- ;;
-
- *)
- echo "Usage: $0 {start|stop|reload|restart|status}"
- exit ${EXIT_CODE_FAILURE}
- ;;
-esac
-
-exit $?
ipkg ${ISO_CODES}
ipkg ${LIBXKLAVIER}
ipkg ${LIBGLADE}
- ipkg ${LIBTASN1}
- ipkg ${GUILE} \
- --enable-posix \
- --disable-static \
- --enable-networking \
- --enable-regex
- ipkg ${LIBGPG_ERROR}
- ipkg ${LIBGCRYPT}
- ipkg -m acnb ${GNUTLS}
- ipkg ${LIBIDL}
+ ipkg ${LIBIDL} # Dépendence de quoi??
# GNOME-2.X configuration
rscr mult "Configuring ${GNOME2_VER}" ./cis-gnome-config
ipkg ${LIBGAMIN} "--libexecdir=/usr/sbin"
ipkg ${PCMANFM}
-# Mail
-ipkg ${SASL2}
-if [ "x${INST_TYPE}" = "xserver" -o "x${INST_TYPE}" = "xltsp-server" ]; then
- ipkg ${OPENLDAP}
-fi
-ipkg ${KERBEROS5}
-ipkg -m noac ${SENDMAIL} # Replace by SSMTP for workstation...
-ipkg ${MUTT} "--enable-imap --with-ssl --with-sasl"
-
if [ "x${INST_TYPE}" = "xserver" -o "x${INST_TYPE}" = "xltsp-server" ]; then
ipkg -m noac ${PROCMAIL}
ipkg -m noac ${LIBSPF2}
# Subversion server (client was already installed in stage2)
ipkg ${SUBVERSION}
- ipkg ${INDENT}
fi
+ipkg ${INDENT}
+
if [ "x${USE_SAMBA}" = "xyes" ]; then
ipkg ${SAMBA}
fi
ipkg -m acnb ${BRIDGE_UTILS}
ipkg ${UML_UTILITIES}
-ipkg -s ckermit ${CKERMIT}
-
ipkg ${TRANSMISSION} "--disable-daemon"
-ipkg ${GNUPG} "--libexecdir=/usr/lib"
-
+# Électronique
ipkg ${LIBGEDA}
ipkg ${GEDA_SYMBOLS}
ipkg ${GEDA_GSCHEM}
fpkg ${ISO_CODES} "ftp://pkg-isocodes.alioth.debian.org/pub/pkg-isocodes"
fpkg -m sf -s "gswitchit" ${LIBXKLAVIER}
fpkg -m gnome ${LIBGLADE}
-fpkg -m gnu ${LIBTASN1}
-fpkg -m gnu ${GUILE}
-fpkg -s "libgpg-error" ${LIBGPG_ERROR} ${GNUPG_URL}
-fpkg -s "libgcrypt" ${LIBGCRYPT} ${GNUPG_URL}
-fpkg -s "gnutls" ${GNUTLS} ${GNUPG_URL}
fpkg -m gnome ${LIBIDL}
fpkg -m gnome ${ORBIT2}
fpkg -m gnome ${GCONF}
fpkg -e "tar.gz" ${AGG} "http://www.antigrain.com"
fpkg ${GNASH} "http://ftp.gnu.org/pub/gnu/gnash/$(get_pkg_ver ${GNASH})"
-fpkg -e "tar.gz" ${SASL2} "ftp://ftp.andrew.cmu.edu/pub/cyrus-mail"
-fpkg -e "tgz" -f "openldap-stable-20070831" ${OPENLDAP} "ftp://ftp.openldap.org/pub/OpenLDAP/openldap-stable"
-fpkg -m hv ${KERBEROS5}
-
-fpkg -e "tar.gz" -f "sendmail.$(get_pkg_ver ${SENDMAIL})" ${SENDMAIL} "ftp://ftp.sendmail.org/pub/sendmail"
fpkg -e "tar.gz" ${LIBSPF2} "http://libspf2.org/spf"
fpkg -e "tgz" ${MILTER_GREYLIST} "ftp://ftp.espci.fr/pub/milter-greylist"
fpkg -m hv ${MILTER_SPF}
fpkg -e "tar.gz" ${PROCMAIL} "http://www.ring.gr.jp/archives/net/mail/procmail"
fpkg ${FETCHMAIL} "http://download.berlios.de/fetchmail"
-fpkg -m sf ${MUTT}
fpkg -m sf ${CLAMAV}
fpkg -m pm -s "G/GR/GRANTM" ${PERL_MOD_XML_SIMPLE}
fpkg ${TRANSMISSION} "http://mirrors.m0k.org/transmission/files"
-# Ckermit decompresses all of its files in the current directory, so created a proper archive on hv server.
-fpkg -m hv ${CKERMIT}
-
fpkg -e "tar.gz" ${LIBGAMIN} "http://www.gnome.org/~veillard/gamin/sources"
fpkg -m sf ${PCMANFM}
-fpkg -s "gnupg" ${GNUPG} "ftp://ftp.gnupg.org/gcrypt"
-
#fpkg_mis ${SPLINT} "${SPLINT}.src" "http://splint.org/downloads"
GEDA_BASE_URL=http://geda.seul.org/release/v$(get_pkg_ver2 ${LIBGEDA})/$(get_pkg_ver ${LIBGEDA})
+++ /dev/null
-#!/bin/bash
-
-hvbuild()
-{
- cd ${LFS_TMP}/${PACKAGE}
- make linux
- make prefix=/usr install
-}
-
-hvbuild_post()
-{
- cat > /etc/skel/.kermrc << "EOF"
-set line /dev/ttyUSB0
-set speed 115200
-set carrier-watch off
-set handshake none
-set flow-control none
-robust
-set file type bin
-set file name lit
-set rec pack 1000
-set send pack 1000
-set window 5
-xecho \27[32m\27[40m
-EOF
-}
+++ /dev/null
-#!/bin/bash
-
-hvconfig()
-{
- cd ${LFS_TMP}/${PACKAGE}/src
- ./configure \
- --prefix=/usr \
- --sysconfdir=/etc \
- --localstatedir=/var/lib \
- --mandir=/usr/share/man \
- --enable-dns \
- --enable-static
-}
-
-hvbuild_post()
-{
- mv -v /usr/bin/ksu /bin
- mv -v /usr/lib/libkrb5.so.3* /lib
- mv -v /usr/lib/libkrb4.so.2* /lib
- mv -v /usr/lib/libdes425.so.3* /lib
- mv -v /usr/lib/libk5crypto.so.3* /lib
- mv -v /usr/lib/libcom_err.so.3* /lib
- ln -v -sf ../../lib/libkrb5.so.3 /usr/lib/libkrb5.so
- ln -v -sf ../../lib/libkrb4.so.2 /usr/lib/libkrb4.so
- ln -v -sf ../../lib/libdes425.so.3 /usr/lib/libdes425.so
- ln -v -sf ../../lib/libk5crypto.so.3 /usr/lib/libk5crypto.so
- ln -v -sf ../../lib/libcom_err.so.3 /usr/lib/libcom_err.so
-
- cat > /etc/krb5.conf << EOF
-[libdefaults]
- default_realm = <LFS.ORG>
- encrypt = true
-
-[realms]
- <LFS.ORG> = {
- kdc = <belgarath.lfs.org>
- admin_server = <belgarath.lfs.org>
- }
-
-[domain_realm]
- .<lfs.org> = <LFS.ORG>
-
-[logging]
- kdc = SYSLOG[:INFO[:AUTH]]
- admin_server = SYSLOG[INFO[:AUTH]]
- default = SYSLOG[[:SYS]]
-EOF
-}
+++ /dev/null
-#!/bin/bash
-
-hvconfig_pre()
-{
- CONFIGURE_OPTS=" \
- ${CONFIGURE_OPTS} \
- --libexecdir=/usr/sbin \
- --sysconfdir=/etc \
- --localstatedir=/srv/ldap \
- --disable-debug \
- --enable-dynamic \
- --enable-crypt \
- --enable-modules \
- --enable-rlookups \
- --enable-backends \
- --enable-overlays"
-}
-
-hvconfig_post()
-{
- make depend
-}
-
-hvbuild_post()
-{
- for LINK in lber ldap ldap_r; do
- chmod -v 0755 /usr/lib/$(readlink /usr/lib/lib${LINK}.so)
- done
-
- cd ${LFS_TMP}/${PACKAGE}
- install -v -m755 -d /usr/share/doc/${PACKAGE}/{drafts,guide,rfc}
- install -v -m644 doc/drafts/* /usr/share/doc/${PACKAGE}/drafts
- install -v -m644 doc/rfc/* /usr/share/doc/${PACKAGE}/rfc
- cp -v -R doc/guide/* /usr/share/doc/${PACKAGE}/guide
-
- # Only the slapd daemon is needed.
- # The slurpd daemon is used for coordinating multiple LDAP servers so they
- # cooperate in a hierarchy, much like DNS servers.
-
- # Bootscript
- install -v -m740 ${SCRDIR}/bootscripts/openldap /etc/rc.d/init.d
-
- # script-name start stop
- bootscript_add_rc3 openldap 60 30
-}
+++ /dev/null
-#!/bin/bash
-
-hvconfig_pre()
-{
- # Fixes an issue when compiling Cyrus SASL with GCC-4:
- sed -i '/sasl_global/s/^static //' ${LFS_TMP}/${PACKAGE}/lib/client.c
-
- # Puts the saslauthd man page in a more standard location:
- sed -i 's/cat8/man8/' ${LFS_TMP}/${PACKAGE}/saslauthd/Makefile.in
-
- CONFIGURE_OPTS=" \
- ${CONFIGURE_OPTS} \
- --with-dbpath=/var/lib/sasl/sasldb2 \
- --with-saslauthd=/var/run"
-}
-
-hvbuild_post()
-{
- cd ${LFS_TMP}/${PACKAGE}
- install -v -m755 -d /usr/share/doc/${PACKAGE}
- install -v -m644 doc/{*.{html,txt,fig},ONEWS,TODO} \
- saslauthd/LDAP_SASLAUTHD /usr/share/doc/${PACKAGE}
- install -v -m700 -d /var/lib/sasl
-
- # Creating SASL configuration file for Sendmail:
- cat > /usr/lib/sasl2/Sendmail.conf << "EOF"
-pwcheck_method:saslauthd
-EOF
-
- # Bootscript
- install -v -m740 ${SCRDIR}/bootscripts/saslauthd /etc/rc.d/init.d
-
- # script-name start stop
- bootscript_add_rc3 saslauthd 50 40
-}
+++ /dev/null
-#!/bin/bash
-
-hvbuild()
-{
- groupadd -f smmsp
- groupadd -f mail
- hv_useradd -g smmsp -G mail smmsp
- chmod 1777 /var/mail
- mkdir -p /var/spool/mqueue
- mkdir -p /etc/mail
-
- cd ${LFS_TMP}/${PACKAGE}
- cat > devtools/Site/site.config.m4 << "EOF"
-define(`confMANGRP',`root')
-define(`confMANOWN',`root')
-define(`confSBINGRP',`root')
-define(`confUBINGRP',`root')
-define(`confUBINOWN',`root')
-EOF
-
- if [ "x${INST_TYPE}" = "xserver" -o "x${INST_TYPE}" = "xltsp-server" ]; then
- # Adding support for SASL2 and MILTER
- cat >> devtools/Site/site.config.m4 << "EOF"
-APPENDDEF(`conf_sendmail_ENVDEF', `-DSASL=2')
-APPENDDEF(`conf_sendmail_LIBS', `-lsasl2')
-APPENDDEF(`conf_sendmail_ENVDEF', `-DMILTER')
-EOF
-
- # Configuration file for SASL2
- echo "pwcheck_method: saslauthd" /usr/lib/sasl2/Sendmail.conf
- fi
-
- cd sendmail
- sh Build
- cd ../
-
- if [ "x${INST_TYPE}" = "xserver" -o "x${INST_TYPE}" = "xltsp-server" ]; then
- cd libmilter
- sh Build install
- cd ../
- fi
-
- cd cf/cf
- cp generic-linux.mc sendmail.mc
- sh Build sendmail.mc
- sh Build install-cf
- cd ../../
- sh Build install
-
- if [ "x${INST_TYPE}" = "xserver" -o "x${INST_TYPE}" = "xltsp-server" ]; then
- # Configuration Information
- cat > /etc/mail/sendmail.mc << "EOF"
-dnl
-include(`./m4/cf.m4')
-VERSIONID(`sendmail.mc Hugo Villeneuve 2003/10/06')
-OSTYPE(linux)
-DOMAIN(generic)
-dnl
-dnl ---------- Procmail settings ----------
-define(`PROCMAIL_MAILER_ARGS', procmail -a $h -d $u)dnl
-define(`PROCMAIL_MAILER_PATH',`/usr/bin/procmail')
-dnl
-dnl ---------- Log messages level ----------
-define(`confLOG_LEVEL', `14')
-dnl
-dnl ---------- confPRIVACY_FLAGS ----------
-dnl "vrfy": (verify) pour verifier l'existence d'une adresse sur le serveur.
-dnl "expn": (expand) qui est identique a "vrfy" mais qui permet aussi de lister
-dnl les personnes d'une liste et autres alias.
-dnl "noreceipts": To disable sending DSN receipts.
-dnl "goaway": Disable all SMTP status queries.
-dnl "authwarnings": Adds x-authentication-warning.
-dnl "restrictmailq": mqueue group can see queue.
- dnl "restrictqrun": mqueue owner to run queue.
- dnl "nobodyreturn": Does not return mail body
- define(`confPRIVACY_FLAGS', `goaway authwarnings restrictmailq restrictqrun nobodyreturn novrfy noexpn noreceipts')
-dnl
-dnl ---------- Maximum message size (in bytes) ----------
- define(`confMAX_MESSAGE_SIZE',10000000)
- dnl
- define(`confMAX_DAEMON_CHILDREN',`30')
- define(`confCONNECTION_RATE_THROTTLE',`10')
- define(`confMAX_RCPTS_PER_MESSAGE',`50')
- dnl
- dnl ---------- MILTER support ----------
- define(`confINPUT_MAIL_FILTERS',`clmilter')
- dnl
- dnl ---------- SMTP Authorization options ----------
- define(`confAUTH_OPTIONS', `A')
- define(`confAUTH_MECHANISMS', `LOGIN PLAIN')
- TRUST_AUTH_MECH(`LOGIN PLAIN')
- dnl
- dnl ---------- Don't send the version number of sendmail ----------
- define(`confSMTP_LOGIN_MSG',`_HOSTNAME_')
- MASQUERADE_AS(_DOMAIN_)
- dnl Uncomment the following line to use a non-standard port
- dnl DAEMON_OPTIONS(`Port=_ALTERNATE_PORT_NUMBER_,Name=MTA')
- dnl
- dnl This is necessary for the local Sendmail to work, when using
- dnl an alternate port number:
- DAEMON_OPTIONS('Port=25','Name=MTA')
- dnl
- FEATURE(nouucp, nospecial)
- FEATURE(use_cw_file)
- FEATURE(`access_db', `hash -T<TMPF> /etc/mail/access')
- FEATURE(virtusertable, `hash -o /etc/mail/virtusertable')
- FEATURE(`local_procmail')
- FEATURE(`mailertable')
- MAILER(procmail)
- INPUT_MAIL_FILTER(`clmilter',`S=local:/var/clamav/clmilter.sock, F=, T=S:4m;R:4m')dnl
- dnl INPUT_MAIL_FILTER(`smf-spf', `S=local:/var/run/smfs/smf-spf.sock, T=S:30s;R:1m')
- dnl INPUT_MAIL_FILTER(`greylist',`S=local:/var/run/milter-greylist/milter-greylist.sock')
- MAILER(smtp)
- EOF
-
-sed -i -e "s!_HOSTNAME_!${MACHINE_NAME}\.${DOMAIN}!g" /etc/mail/sendmail.mc
-sed -i -e "s!_DOMAIN_!${DOMAIN}!g" /etc/mail/sendmail.mc
-
-if [ -n "${SENDMAIL_INCOMING_PORT}" ]; then
- # Uncommenting the alternate port line
- sed -i -e "s!\(dnl \)\(.*_ALTERNATE_PORT_NUMBER_.*\)!\2!g" /etc/mail/sendmail.mc
- # Replacing the port number
- sed -i -e "s!_ALTERNATE_PORT_NUMBER_!${SENDMAIL_INCOMING_PORT}!g" /etc/mail/sendmail.mc
-fi
-
- # We must put the domain name, and not the hostname in local-host-names
-echo "${DOMAIN}" > /etc/mail/local-host-names
-
-if [ -n "${MAIL_ADMIN}" ]; then
- echo "postmaster: ${MAIL_ADMIN}" > /etc/mail/aliases
-else
- exit 1
-fi
-cat >> /etc/mail/aliases << "EOF"
-mailer-daemon: postmaster
-abuse: postmaster
-root: postmaster
-EOF
-
- cat > /etc/mail/access << "EOF"
-# This is absolutely needed for each 192.168.0.x computer to send mail...
-Connect:192.168.0 RELAY
-EOF
-
- cd /etc/mail
- cp -R ${LFS_TMP}/${PACKAGE}/cf/* .
-
- cat > /etc/mail/submit.mc << "EOF"
-dnl
-include(`./m4/cf.m4')dnl
- dnl
- EOF
- cat ${LFS_TMP}/${PACKAGE}/cf/cf/submit.mc >> /etc/mail/submit.mc
- sed -i "s!\(^FEATURE.*\)127.0.0.1\(.*\)!\1${MACHINE_NAME}\.${DOMAIN}\2!" /etc/mail/submit.mc
- newaliases -v
-
- cat > /etc/mail/virtusertable << "EOF"
-# MAKE SURE ALL ENTRIES ARE SEPARATED WITH <TAB>
-#
-EOF
-
- if [ -n "${SENDMAIL_ALT_MAILER}" ]; then
- echo ". ${SENDMAIL_ALT_MAILER}" > /etc/mail/mailertable
- else
- echo "# Define alternate mailer in this file" \
- > /etc/mail/mailertable
- fi
-
- cat > /etc/mail/configure << "EOF"
-#!/bin/bash
-
-PID_FILE="/var/run/sendmail.pid"
-
-cd /etc/mail
-
-m4 sendmail.mc > sendmail.cf
-m4 submit.mc > submit.cf
-newaliases
-makemap hash access.db < access
-makemap hash virtusertable < virtusertable
-makemap hash mailertable.db < mailertable || exit 1
-
-# Restarting sendmail
-if [ -f ${PID_FILE} ]; then
- kill -HUP `head -1 /var/run/sendmail.pid` || exit 1
-else
- /etc/rc.d/init.d/sendmail start || exit 1
-fi
-
-exit $?
-EOF
- chmod 740 /etc/mail/configure
-
- # Bootscript
- install -v -m740 ${SCRDIR}/bootscripts/sendmail /etc/rc.d/init.d
-
- # script-name start stop
- bootscript_add_rc3 sendmail 65 25
-
- cat > /usr/local/bin/mail-if-fail << "EOF"
-#!/bin/bash
-
-# This script is used to run a command. If the command failed,
-# an email is sent to the address specified by MAILTO.
-
-# Begin of user modifiable variables
-MAILFROM="${USER}@_DOMAIN_"
-MAILTO="root@_DOMAIN_"
-# End of User modifiable variables
-
-SENDMAIL="/usr/sbin/sendmail -t -r ${MAILFROM}"
-MAILFILE="/tmp/mail-if-fail-output$$"
-LOGFILE="/tmp/mail-if-fail-log$$"
-
-# Running the specified command
-${*} 1> ${LOGFILE} 2>&1
-
-ERROR_CODE=${?}
-
-if [ ${ERROR_CODE} -ne "0" ]; then
- echo "From: ${MAILFROM}" > ${MAILFILE}
- echo "To: ${MAILTO}" >> ${MAILFILE}
- echo "Subject: \"${1}\" FAILED (${ERROR_CODE})" >> ${MAILFILE}
- echo "Content-type: text/plain" >> ${MAILFILE}
- echo "Output of command ${*}:" >> ${MAILFILE}
- echo >> ${MAILFILE}
- cat ${LOGFILE} >> ${MAILFILE}
- cat ${MAILFILE} | ${SENDMAIL} || exit 1
- rm -f ${MAILFILE}
-fi
-
-rm -f ${LOGFILE}
-
-exit ${ERROR_CODE}
-EOF
-
- sed -i -e "s!_DOMAIN_!${DOMAIN}!g" /usr/local/bin/mail-if-fail
- chmod 755 /usr/local/bin/mail-if-fail
-
- cp ${SCRDIR}/misc/mail-files.sh /usr/local/bin
- chmod 755 /usr/local/bin/mail-files.sh
-
- # Executing configure script.
- /etc/mail/configure
- fi
-}
--prefix=/usr \
--sysconfdir=/etc \
${CONFIGURE_OPTS}"
+
+#--prefix=/usr \
+#--sysconfdir=/etc/gnome/2.30.2 \
+#--libexecdir=/usr/lib/PACKAGE_NAME